Bug 236157 - [exp-run] devel/protobuf: Update to 3.7.1
Summary: [exp-run] devel/protobuf: Update to 3.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-02 17:24 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-03-31 13:41 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-02 17:24:50 UTC
Update devel/protobuf to 3.7.0

- Bump PORTREVISION of dependent ports for shlib change

Changes:        https://github.com/protocolbuffers/protobuf/releases
Comment 1 Antoine Brodin freebsd_committer 2019-03-03 19:32:08 UTC
please provide a patch that applies
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-03 19:37:03 UTC
In the URL line as before.

https://people.FreeBSD.org/~sunpoet/patch/devel-protobuf.txt
Comment 3 Antoine Brodin freebsd_committer 2019-03-03 20:41:38 UTC
this patch fails to apply,  and same for the 2 others
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-05 16:36:59 UTC
Regenerate/simplify the patch and remove all PORTREVISION bump.
https://people.FreeBSD.org/~sunpoet/patch/devel-protobuf-v2.txt
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-29 10:50:59 UTC
Update patch, including protobuf-c fix.

protobuf 3.7.1 avoids marking generated C++ messages as final. It solves the build failure of mozc-server, mozc-tool and certificate-transparency. mumble builds successfully with qt5 and protobuf 3.7.1.
Comment 7 Antoine Brodin freebsd_committer 2019-03-30 19:36:38 UTC
Exp-run looks fine.
Comment 8 commit-hook freebsd_committer 2019-03-31 13:41:21 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Mar 31 13:41:13 UTC 2019
New revision: 497411
URL: https://svnweb.freebsd.org/changeset/ports/497411

Log:
  Update devel/protobuf to 3.7.1

  - Bump PORTREVISION of dependent ports for shlib change

  Changes:	https://github.com/protocolbuffers/protobuf/releases
  PR:		236157
  Exp-run by:	antoine

Changes:
  head/astro/libosmpbf/Makefile
  head/astro/merkaartor/Makefile
  head/audio/clementine-player/Makefile
  head/audio/mixxx/Makefile
  head/audio/mixxx21/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/databases/mysql57-server/Makefile
  head/databases/mysql80-server/Makefile
  head/devel/bloaty/Makefile
  head/devel/grpc/Makefile
  head/devel/ignition-msgs/Makefile
  head/devel/ignition-transport/Makefile
  head/devel/protobuf/Makefile
  head/devel/protobuf/distinfo
  head/devel/protobuf/files/patch-configure.ac
  head/devel/protobuf/files/patch-src-Makefile.am
  head/devel/protobuf/files/patch-src-google-protobuf-stubs-common.h
  head/devel/protobuf/files/patch-tests.sh
  head/devel/protobuf/pkg-plist
  head/devel/protobuf-c/Makefile
  head/devel/protobuf-c/files/
  head/devel/protobuf-c/files/patch-t-generated-code2-cxx-generate-packed-data.cc
  head/dns/dnsdist/Makefile
  head/dns/knot-resolver/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/games/cockatrice/Makefile
  head/games/pink-pony/Makefile
  head/graphics/caffe/Makefile
  head/graphics/opencv/Makefile
  head/graphics/osgearth/Makefile
  head/graphics/qtpbfimageplugin/Makefile
  head/japanese/mozc-server/Makefile
  head/multimedia/vlc/Makefile
  head/net/eternalterminal/Makefile
  head/net/mosh/Makefile
  head/net/spoofer/Makefile
  head/net-im/ricochet/Makefile
  head/net-mgmt/collectd5/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qtum/Makefile
  head/net-p2p/zetacoin/Makefile
  head/science/lm/Makefile
  head/science/paraview/Makefile
  head/security/certificate-transparency/Makefile
  head/sysutils/zbackup/Makefile
  head/www/mod_pagespeed/Makefile
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-31 13:41:40 UTC
Committed. Thanks!